package entities;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.TableGenerator;

@Entity
@TableGenerator(name="TGOnIDTagOverridingTGOnEntity", allocationSize=1001, pkColumnName="ignoredColumnName",
            valueColumnName="ignoredValueColumnName", table="ignoredTableName")
public class EntityWithTGAnnotation implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.TABLE, generator="TGOnIDTagOverridingTGOnEntity")
    private Long id;
    
    public EntityWithTGAnnotation() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        if (!(object instanceof EntityWithTGAnnotation)) {
            return false;
        }
        EntityWithTGAnnotation other = (EntityWithTGAnnotation)object;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) return false;
        return true;
    }

    public String toString() {
        return "entities.OnEntityByID[id=" + id + "]";
    }
    
}
